#include <stdio.h>
#include <errno.h>
#include <string.h>

void die_usage(char *progname) {
	fprintf (stderr, "usage: %s [options] <-f sockfile> <out-sock>\n",
			progname);
	fflush (stderr);
	exit (1);
}

void die_nomem(void) {
	fprintf (stderr, "out of memory\n");
	exit (1);
}

void die_error1(char *a1) {
	fprintf (stderr, "%s: %s\n", a1, strerror(errno));
	exit (1);
}

void die_error2(char *a1, char *a2) {
	fprintf (stderr, "%s%s: %s\n", a1, a2, strerror(errno));
	exit (1);
}

void die_error3(char *a1, char *a2, char *a3) {
	fprintf (stderr, "%s%s%s: %s\n", a1, a2, a3, strerror(errno));
	exit (1);
}

