#include <stdlib.h>
#include <lx_string.h>
#include "defines.h"
#include "sockdata.h"
#include "winch.h"

/***************************************************************************
  sock_alloc_buf (struct socketlink *sl)

  Allocates memory for sl->buf.  Only output sockets currently require this,
  so if (sl->method == SW_INPUT), then this function has no effect.

  This function may only be called once per link, lest a memory leak occur.

  returns nothing.

 ***************************************************************************/
void
sock_alloc_buf(sl)
	struct socketlink *sl;
{
	if (sl->method != SW_OUTPUT)
		return;

	sl->buf = malloc (sizeof(struct sendbuf));

	if (!sl->buf) die_nomem();
	sl->buf->len = 0;
	sl->buf->max  = OUTBUFSIZ;
}
