#include <sys/types.h>
#include <sys/select.h>
#include <lx_string.h>
#include "defines.h"
#include "sockdata.h"
#include "winch.h"


/***************************************************************************
  socket_established_close (fd_set *set, struct socketlink **slp);

  Removes sl->sd from set if present.
  Unregisters *slp from the list of sockets as follows:
        *slp will become *slp->next.
  Destroys link.

  returns nothing.

 ***************************************************************************/

void
socket_established_close (fd_set *set, struct socketlink **slp)
{
	struct socketlink *sl = *slp;

	dprintf ("closing descriptor %d; removing from chain.\n", sl->sd);

	*slp = sl->next;

	FD_CLR(sl->sd, set);
	socketlink_close(sl);
	socketlink_destroy(sl);
}


