#ifndef _LOCAL_WINCH_H
#define _LOCAL_WINCH_H

#include <sys/types.h>
#include <sys/select.h>

extern int socktype_in;
extern int socktype_out;

extern struct socketlink *sl_in;
extern struct socketlink *sl_out;

void register_socket (struct socketlink **, char *, int);
void register_socketfiles (struct socketlink **, char *, int);
int sock_bind (lx_s *, int);
int sock_connect (lx_s *, int);
int sock_open (struct socketlink *);
void *socketlink_new(void);
void *socketlink_register(struct socketlink **, lx_s *);
int socketlink_linkup(struct socketlink **, struct socketlink *);
void socketlink_unregister(struct socketlink **, lx_s *);
void socketlink_destroy(struct socketlink *);
int socketlink_close(struct socketlink *);
void *socket_accept(fd_set *, struct socketlink *);
void socket_established_close(fd_set *, struct socketlink **);
void socktype_setup(void);
void select_loop (void);
int set_socket_options (int);
void xfer_data (int, fd_set *, struct socketlink *,
		     fd_set *, struct socketlink *, unsigned char *);
void sock_alloc_buf(struct socketlink *);

void die_usage(char *);
void die_nomem(void);
void die_error1(char *);
void die_error2(char *, char *);
void die_error3(char *, char *, char *);

#ifdef DEBUG
# include <stdio.h>
# define dprintf(fmt, args...) fprintf(stderr, fmt, ##args)
#else
# define dprintf(fmt, args...) do { } while(0)
#endif

#endif
